# $Revision: 1.33 $, $Date: 2012/02/15 20:03:01 $
Summary:	A vamps frontend
Summary(pl.UTF-8):	Frontend do programu vamps
Name:		k9copy
Version:	2.3.8
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/k9copy/%{name}-%{version}-Source.tar.gz
# Source0-md5:	584f6cc50f28befbeb0d5c1ec9476456
Patch0:		%{name}-desktop.patch
URL:		http://k9copy.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	kde4-kdelibs-devel >= 4.1.0
BuildRequires:	libdvdread-devel
BuildRequires:	mpeg2dec-devel
Requires:	dvd+rw-tools
Requires:	dvdauthor
Requires:	vamps
Obsoletes:	k9copy-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
k9copy is a very easy-to-use GUI for vamps that allows the shrinking
of DVDs from DVD 9 to DVD 5 under KDE in Linux.

%description -l pl.UTF-8
k9copy to bardzo łatwy w użyciu graficzny interfejs do programu vamps,
umożliwiający zmniejszanie obrazów płyt DVD z DVD 9 do DVD 5 w
środowisku KDE pod Linuksem.

%prep
%setup -q -n %{name}-%{version}-Source

%build
install -d build
cd build
%cmake \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -LCMS_DIR=%{_libdir} \
%if "%{_lib}" == "lib64"
        -DLIB_SUFFIX=64 \
%endif
        ../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	kde_htmldir=%{_kdedocdir} \
	manprefix=%{_mandir}

%find_lang %{name} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/k9copy
%{_desktopdir}/kde4/k9copy.desktop
%{_desktopdir}/kde4/k9copy_assistant.desktop
%{_datadir}/apps/solid/actions/k9copy_assistant_open.desktop
%{_datadir}/apps/solid/actions/k9copy_open.desktop
%{_iconsdir}/*/*x*/*/k9copy.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: k9copy.spec,v $
Revision 1.33  2012/02/15 20:03:01  arekm
- up to 2.3.8

Revision 1.32  2012/02/15 09:07:11  arekm
- release 2

Revision 1.31  2010/09/14 14:18:29  blekot
- up to 2.3.6

Revision 1.30  2010/02/08 18:49:02  rotom
- up to 2.3.5

Revision 1.29  2009/04/06 19:03:35  rotom
- up to 2.3.1

Revision 1.28  2009/02/20 18:32:29  rotom
- up to 2.2.0

Revision 1.27  2008/12/27 13:23:06  rotom
- BR: kde4-kdelibs-devel added
- 64bit fix

Revision 1.26  2008/12/25 17:12:58  rotom
- up to 2.1.0 (kde4)

Revision 1.25  2008-01-23 22:20:59  qboosh
- use metapackage name (isn't it implied by KDE BTW?)

Revision 1.24  2008-01-20 17:50:42  rotom
- up to 1.2.3
- some BRs added

Revision 1.23  2007-12-30 19:33:17  rotom
- 1.2.2

Revision 1.22  2007/11/01 13:07:44  rotom
- up to 1.2.0

Revision 1.21  2007/08/16 12:45:58  matkor
- Autoupdated to 1.1.3.

Revision 1.20  2007/08/10 18:24:28  qboosh
- simplified setup

Revision 1.19  2007/08/09 19:22:49  matkor
- Works for me.

Revision 1.18  2007/08/09 09:50:14  matkor
- Version 1.1.2-0.1. Builds not tested yet.

Revision 1.17  2007/04/02 19:51:29  shadzik
- up to 1.1.1.3

Revision 1.16  2007/03/30 21:18:10  qboosh
- Obsoletes for -devel

Revision 1.15  2007/03/30 17:01:09  shadzik
- up to 1.1.1.2

Revision 1.14  2007/03/25 20:57:20  shadzik
- unify %configure
- don't pass cflags to make
- remove -devel subpackage
- fix files

Revision 1.13  2007/03/25 20:49:33  shadzik
- up to 1.1.1

Revision 1.12  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.10  2006/07/03 22:33:07  qboosh
- missing dirs

Revision 1.9  2006/07/03 22:12:32  shadzik
- up to 1.1.0-beta1

Revision 1.8  2006/04/30 20:38:13  rotom
- up to 1.0.4-2

Revision 1.7  2006/03/24 21:06:01  rotom
- up to 1.0.4-beta3

Revision 1.6  2006/03/14 22:21:55  rotom
- up to 1.0.4-beta2

Revision 1.5  2006/02/19 14:15:55  qboosh
- revised deps

Revision 1.4  2006/02/19 14:03:26  qboosh
- pl, ldconfig, some cleanups

Revision 1.3  2006/02/16 12:51:59  rotom
- added k9copy.desktop.patch
- added missed icons files
- added en_GB lang file

Revision 1.2  2006/02/16 02:35:21  mguevara
- missing character in R: libdvdnav

Revision 1.1  2006/02/16 00:26:04  jack
- initial, feel free to improve
